#ifndef _COLOUR_H_
#define _COLOUR_H_

#include <cstdlib>

struct ColourRGB
{
	ColourRGB() : r(0), g(0), b(0) {}
	ColourRGB(const unsigned char &R, const unsigned char &G, const unsigned char &B)
	: r(R), g(G), b(B)
	{
	}

	bool operator== (const ColourRGB &colour) const
	{
		if(r == colour.r && g == colour.g && b == colour.b)
			return true;
		else
			return false;
	}

	static ColourRGB GetRandomColour()
	{
		return ColourRGB(rand() % 255, rand() % 255, rand() % 255);
	}

	unsigned char r, g, b;
};

#endif
